package models

import (
	"LAPP_LF_MOM_BACKEND/utils"
)

type Scriptitemtab struct {
	Finr         int    `xorm:"pk comment('工厂号') Int" json:"scriptitemtab-finr"`
	Script       string `xorm:"pk comment('Id') VARCHAR(12)" json:"scriptitemtab-script"`
	Tabmapcol    string `xorm:"pk comment('序号溢出处理') VARCHAR(10)" json:"scriptitemtab-tabmapcol"`
	Colno        int    `xorm:"comment('流水号起始值') INT" json:"scriptitemtab-colno"`
	Rowno        int    `xorm:"comment('流水号截止值') INT" json:"scriptitemtab-rowno"`
	Colfieldtype int    `xorm:"comment('步幅') INT" json:"scriptitemtab-colfieldtype"`
	Colname      string `xorm:"comment('上个序号创建时间') VARCHAR(14)" json:"scriptitemtab-colname"`
	Rowname      string `xorm:"comment('序号重置规则') VARCHAR(10)" json:"scriptitemtab-rowname"`
	Colformat    string `xorm:"comment('流水号格式') VARCHAR(10)" json:"scriptitemtab-colformat"`
	Defaultvalue string `xorm:"comment('日期变量') VARCHAR(20)" json:"scriptitemtab-defaultvalue"`
}

func (t *Scriptitemtab) TableName() string {
	return "scriptitemtab"
}

// 清除string字段的右侧空格
func (t *Scriptitemtab) Clipped() {
	utils.TrimStruct(t, *t)
}
